### Enumeration

# GObject TypeFundamentalFlags

#### Declaration

    flags GObject.TypeFundamentalFlags

#### Description [src]

Bit masks used to check or determine specific characteristics of a fundamental type.

#### Members

`G_TYPE_FLAG_CLASSED`

  Indicates a classed type.

  - Value: `1`
  - Available since: 2.0
`G_TYPE_FLAG_INSTANTIATABLE`

  Indicates an instantiatable type (implies classed).

  - Value: `2`
  - Available since: 2.0
`G_TYPE_FLAG_DERIVABLE`

  Indicates a flat derivable type.

  - Value: `4`
  - Available since: 2.0
`G_TYPE_FLAG_DEEP_DERIVABLE`

  Indicates a deep derivable type (implies derivable).

  - Value: `8`
  - Available since: 2.0